Page MenuHomePhabricator

Allow OIT to make new WMF employees members of the #WMF-NDA Phabricator project as part of their onboarding process
Closed, ResolvedPublic

Description

The WMF-NDA-Requests process is primarily designed for volunteers. However, we are getting an increasing amount of work processing requests from new WMF employees.

Adding these employees to WMF-NDA as part of their onboarding process would be a simple step when done at the same time than account creation etc. However, for us dealing mailing with volunteers, these approvals are creating too much overhead. Please add this checkbox in the new employee onboarding process.

PS: who should be in charge of this task?

Event Timeline

Qgil created this task.Jul 28 2015, 9:08 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 9:08 AM
ALantz added a subscriber: ALantz.Aug 12 2015, 3:09 PM
Qgil set Security to None.

@ALantz, who could be a good contact in HR to help solving this task?

@Qgil I'm not sure what the task is exactly. We (HR) already manage NDAs for all staff, temps/contractors, and onsite volunteers.

This task is about adding people to WMF-NDA

Aklapper triaged this task as Normal priority.EditedJan 18 2016, 12:56 PM

If WMF's internal guide ("Wiki accounts for new hires are generally created by Office IT") and WMF's internal onboarding docs are followed correctly (for account verification purposes), this should be as simple as adding an item to the new employee onboarding process:

@ALantz: Is that something that could be added to the docs? Could you do that, or who else should be the assignee of this task?

@ALantz: ^^^ Is that something that could be added to the docs? Could you do that, or who else should be the assignee of this task?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 5 2016, 1:19 PM

@Aklapper An NDA is part of the required paperwork given to all new req# hires. I'm a little unclear of the ask. Are you requesting that HR add a step to the onboarding process that confirms receipt of an NDA by creating a request on Phabricator?

@ALantz: The ask is about making new employees aware how to get added to the list of members of the project WMF-NDA in Phabricator so new employees can access Phabricator tasks in the project WMF-NDA (as they have an NDA in place anyway). The current list of members can be seen here: https://phabricator.wikimedia.org/project/members/61/.

This task is about documenting the required steps (I assume I am not supposed to be bold and just edit the internal documentation myself). If anything in T107136#1940912 is still not clear I am happy to clarify. :)

@ALantz: Any feedback to my last comment, or anything blocking adding this item (add new employees to the WMF-NDA group in Phabricator) to WMF's general onboarding process?

ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Apr 14 2016, 12:58 AM
ZhouZ added a subscriber: MBrar.WMF.

@ALantz: Any feedback on my comment T107136#2007215, or anything blocking adding this item (add new employees to the WMF-NDA group in Phabricator) to WMF's general onboarding process?

Elitre added a subscriber: Elitre.Aug 9 2016, 3:38 PM

Hi @Aklapper I have talked to both OIT and HR about this process. Their understanding is the process will like below

The process would be for any staff member requesting NDA access for their NDA account to create a phabricator task using their account (using the https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=wmf-nda-requests form) and have their manager request this access on the task for this particular staff account.

Is this something you want to document in a particular place on Office Wiki (in addition to https://office.wikimedia.org/wiki/Guide_for_new_engineering_staff#Accounts)?

Unfortunately, at present, it does not sound like OIT/HR is able to actually create such accounts as part of their on-boarding process for new employees.

Zhou

The process would be for any staff member requesting NDA access for their NDA account to create a phabricator task using their account (using the https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=wmf-nda-requests form) and have their manager request this access on the task for this particular staff account.

@ZhouZ: My understanding is: If the on-wiki SUL account was created properly ("This account must be created by the Office IT team") and if it is attached to the Phab account ("Make sure you use your WMF staff wiki account for creating your Phabricator account") I don't see a good reason for this additional step as I can verify. :)
Only if one of those two items were ignored, I do agree with the need for a required manager comment to move forward.

Is this something you want to document in a particular place on Office Wiki (in addition to https://office.wikimedia.org/wiki/Guide_for_new_engineering_staff#Accounts)?

Done I'd say. :)

Unfortunately, at present, it does not sound like OIT/HR is able to actually create such accounts as part of their on-boarding process for new employees.

That is very unfortunate.
So I guess this task should be declined?

Unfortunately, at present, it does not sound like OIT/HR is able to actually create such accounts as part of their on-boarding process for new employees.

That is very unfortunate.
So I guess this task should be declined?

They create the wiki accounts but I don't think they log into them (just have MW email the initial password), so there's no opportunity for them to create a Phabricator account using it, so there's no account to add to the WMF-NDA project.

Unfortunately, at present, it does not sound like OIT/HR is able to actually create such accounts as part of their on-boarding process for new employees.

@ZhouZ: So I guess the status of this task should be changed to "declined" to reflect reality?

Can we actually just place this on-hold for now? Still touching base internally to see if we can get resources - will update.

Elitre changed the task status from Open to Stalled.Aug 31 2016, 5:39 PM

Temporarily assigning to @ZhouZ as per last comment.

@Aklapper

so just to circle back on this task and confirm - if OIT can create phabricator accounts for new hires using their Meta login, would you then be able to confirm NDA access as needed and this issue would be resolved?

Or do you want an additional checkbox in the on-boarding process to allow managers to ask OIT to request NDA access for their new-hire as well as part the Phabricator account creation?

so just to circle back on this task and confirm - if OIT can create phabricator accounts for new hires using their Meta login, would you then be able to confirm NDA access as needed and this issue would be resolved?

That means I would still have to manually add the new hire's Phab account to Phab's WMF-NDA project.
Maybe there'd be less steps involved as Phab allows checking for the IP address which was used to create that new Phab account. But no idea if there's one IP address for WMF OIT that I can "blindly trust".
Currently I'd have to manually check the mediawiki.org account associated with the Phab account, check via Special:CentralAuth on which wiki the account was created, then check via Special:Log on that wiki whether WMF's Office IT did create that user account. And that takes time especially if the last step wasn't successful.

Or do you want an additional checkbox in the on-boarding process to allow managers to ask OIT to request NDA access for their new-hire as well as part the Phabricator account creation?

I would not want OIT to request membership in the WMF-NDA project in Phab for every single new hire as it would just quadruplicate my amount of work. :)

I'd love OIT to create the Phab account of new hires (which very likely requires being logged in on mw.org with the new hire's account) and after that OIT to add the new hire's Phab account to the WMF-NDA Phabricator project (which would require members of OIT to receive permissions to edit members in WMF-NDA Phabricator project and I'm happy to hand out these permissions).

And I could understand if that ideal solution gets declined for various reasons.

I'd love OIT to create the Phab account of new hires (which very likely requires being logged in on mw.org with the new hire's account) and after that OIT to add the new hire's Phab account to the WMF-NDA Phabricator project (which would require members of OIT to receive permissions to edit members in WMF-NDA Phabricator project and I'm happy to hand out these permissions).

Ah ok I didn't know the giving to OIT permissions to add members to WMF-NDA was an option. Thanks for clarifying - I will circle back and see if this is possible.

elukey added a subscriber: elukey.Oct 25 2016, 3:06 PM
Qgil removed a subscriber: Qgil.Oct 27 2016, 12:31 AM

@bbogaert, @eliza, I understand you can help implement task as part of the on-boarding process starting in Jan. 2017. That is receive permissions to add members to WMF-NDA and use this permission to add new employees to the WMF-NDA group on request from their managers in the on-boarding form.

@ZhouZ : yes - if this will be implemented - OIT will need permission to add to the WMF-NDA group (@JGulingan @eross @bcampbell @eliza @bbogaert )

Thanks @eliza. Can you work with @Aklapper to get the necessary permissions when you are ready to roll this out next Jan?

eliza added a comment.Nov 23 2016, 9:28 PM

@Aklapper - as per @ZhouZ 's message, can you give the following folks (@JGulingan @eross @bcampbell @eliza @bbogaert ) rights to add users to the WMF-NDA group?

@ZhouZ - once we have permissions, can we schedule a team meeting so that you could show us the correct process?

Thanks

Sure - let sync up.

Aklapper renamed this task from Give access to WMF-NDA to new WMF employees needing it as part of their onboarding process to Allow OIT to make new WMF employees members of the #WMF-NDA Phabricator project as part of their onboarding process.Nov 25 2016, 3:09 PM
Aklapper changed the task status from Stalled to Open.

For the records, so far the WMF-NDA Phabricator project had these settings:

In order to allow OIT members to add members to the #WMF-NDA project I have made the five aforementioned users members of #WMF-NDA and added them to the "Editable by" setting of the project.
(Long-term: We could also set up another join-restricted ACL project for OIT members at any time if we wanted a "OIT team" formalization.)

From my point of view and for the technical side (permissions setup in Phabricator) this task can be closed as resolved.
If you however want to also keep track of the process implementation here we can keep this task open.

If there are any technical questions about Phabricator, please ask them. Happy to help / explain.

And let me say again that I'm very happy and thankful to see improvements to WMF's onboarding process.

eliza added a comment.Nov 28 2016, 5:38 PM

​Thank you Andre,

OIT will re-connect with Legal to confirm the process for BOTH OnBoarding
and OffBoarding.

We'll ping you if we have any questions.

Best,
Eliza​

*Eliza Barrios*
IT Technical Support
Wikimedia Foundation
IRC: *xelizabx*
https://wikimediafoundation.org/wiki/Home

*"Imagine a world in which every single human being can freely share in the
sum of all knowledge. That's our commitment." *
*https://donate.wikimedia.org https://donate.wikimedia.org/*

OIT will re-connect with Legal to confirm the process for BOTH OnBoarding and OffBoarding.
We'll ping you if we have any questions.

Just checking three months later: Any news / anything I can help with?
Or is maybe everything working perfectly fine already (yay) and this task could be changed to status 'resolved'? :P

eliza added a comment.Mar 1 2017, 5:50 PM

​Andre,​

Thanks for checking in - at this point it seems to be fine
​. We'll ping you if we have any problems in the future - sound good?

Eliza

Aklapper closed this task as Resolved.Mar 21 2017, 1:50 PM

Thanks for checking in - at this point it seems to be fine
​. We'll ping you if we have any problems in the future - sound good?

Alright, closing this task as resolved. :)